# PhasicFlow: src/phasicFlow/globals/pFlowMacros.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pFlowMacros.hpp File Reference
Include dependency graph for pFlowMacros.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | FUNCTION_NAME __func__
#define | UNUSED(x) UNUSED_ ## x
#define | CONSUME_PARAM(x) (void)(x);
#define | INLINE_FUNCTION_HD inline
#define | INLINE_FUNCTION_D inline
#define | INLINE_FUNCTION_H inline
#define | LAMBDA_HD [=]
#define | LAMBDA_D [=]
#define | CLASS_LAMBDA_HD [=,*this]
#define | FUNCTION_HD
#define | FUNCTION_H
#define | FUNCTION_D
#define | INLINE_FUNCTION inline
#define | USE_INSTANTIATION 0
#define | ForAll(i, container) for(auto i=0; i < container.size(); ++i)

## Variables

static const bool | useStdParallel__ = false

## Macro Definition Documentation

## FUNCTION_NAME

#define FUNCTION_NAME __func__

Definition at line 29 of file pFlowMacros.hpp.

## UNUSED

#define UNUSED | ( |  | x | ) | UNUSED_ ## x

Definition at line 35 of file pFlowMacros.hpp.

## CONSUME_PARAM

#define CONSUME_PARAM | ( |  | x | ) | (void)(x);

Definition at line 38 of file pFlowMacros.hpp.

## INLINE_FUNCTION_HD

#define INLINE_FUNCTION_HD inline

Definition at line 55 of file pFlowMacros.hpp.

## INLINE_FUNCTION_D

#define INLINE_FUNCTION_D inline

Definition at line 56 of file pFlowMacros.hpp.

## INLINE_FUNCTION_H

#define INLINE_FUNCTION_H inline

Definition at line 57 of file pFlowMacros.hpp.

## LAMBDA_HD

#define LAMBDA_HD [=]

Definition at line 58 of file pFlowMacros.hpp.

## LAMBDA_D

#define LAMBDA_D [=]

Definition at line 59 of file pFlowMacros.hpp.

## CLASS_LAMBDA_HD

#define CLASS_LAMBDA_HD [=,*this]

Definition at line 60 of file pFlowMacros.hpp.

## FUNCTION_HD

#define FUNCTION_HD

Definition at line 61 of file pFlowMacros.hpp.

## FUNCTION_H

#define FUNCTION_H

Definition at line 62 of file pFlowMacros.hpp.

## FUNCTION_D

#define FUNCTION_D

Definition at line 63 of file pFlowMacros.hpp.

## INLINE_FUNCTION

#define INLINE_FUNCTION inline

Definition at line 66 of file pFlowMacros.hpp.

## USE_INSTANTIATION

#define USE_INSTANTIATION 0

Definition at line 71 of file pFlowMacros.hpp.

## ForAll

#define ForAll | ( |  | i,
|  |  | container
| ) |  | for(auto i=0; i < container.size(); ++i)

Definition at line 75 of file pFlowMacros.hpp.

## Variable Documentation

## useStdParallel__

const bool useStdParallel__ = false

inlinestatic

Definition at line 80 of file pFlowMacros.hpp.